#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 35. Xfce Desktop

- Prev

  Garcon-4.20.0

- Next

  xfce4-dev-tools-4.20.0

- Up
- Home

# libwnck-43.2

## Introduction to libwnck

The libwnck package contains the Window Navigator Construction Kit.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libwnck/43/libwnck-43.2.tar.xz

- Download MD5 sum: b8c29ef589d3427c8a699c1542a2d25e

- Download size: 448 KB

- Estimated disk space required: 9.9 MB

- Estimated build time: less than 0.1 SBU

### libwnck Dependencies

#### Required

GTK-3.24.48

#### Recommended

GLib-2.82.5 (with GObject Introspection) and startup-notification-0.12

#### Optional

GTK-Doc-1.34.0

## Installation of libwnck

Install libwnck by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=true`: Use this option to build the API reference manual.

## Contents

Installed Program: wnckprop and wnck-urgency-monitor
Installed Library: libwnck-3.so
Installed Directories: /usr/include/libwnck-3.0 and /usr/share/gtk-doc/html/libwnck-3.0

### Short Descriptions

wnckprop | is used to print or modify the properties of a screen/workspace/window, or to interact with it
`libwnck-3.so` | contains functions for writing pagers and task lists

- Prev

  Garcon-4.20.0

- Next

  xfce4-dev-tools-4.20.0

- Up
- Home